Subject: bug#41210: closed (Re: bug#41210: gcc-cross-sans-libc-arm-none-eabi-4.9.4-1.227977 fails to build)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 13 May 2020 19:15:03 +0000

Your bug report

#41210: gcc-cross-sans-libc-arm-none-eabi-4.9.4-1.227977 fails to build

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
41210: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=41210
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#41210: gcc-cross-sans-libc-arm-none-eabi-4.9.4-1.227977 fails to build
From: Marius Bakke <[email-masked]>
To: Ricardo Wurmus <[email-masked]>, [email-masked]
Date: Wed, 13 May 2020 21:14:34 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Ricardo Wurmus <[email-masked]> writes:

> gcc-cross-sans-libc-arm-none-eabi-4.9.4-1.227977 (an input to
> axoloti-patcher) fails to build.
>
> Just like with issue #41209 the headers for both GCC 5 and 7 are
> included.
>
> --8<---------------cut here---------------start------------->8---
> …
> make[2]: Leaving directory '/tmp/guix-build-avr-gcc-5.5.0.drv-0/build/fixincludes'
> g++  -I../../gcc-5.5.0/libcpp -I. -I../../gcc-5.5.0/libcpp/../include -I../../gcc-5.5.0/libcpp/include  -g -O2 -W -Wall -Wno-narrowing -Wwrite-strings -Wmissing-format-attribute -pedantic -Wno-long-long  -fno-exceptions -fno-rtti -I../../gcc-5.5.0/libcpp -I. -I../../gcc-5.5.0/libcpp/../include -I../../gcc-5.5.0/libcpp/include   -c -o directives.o -MT directives.o -MMD -MP -MF .deps/directives.Tpo ../../gcc-5.5.0/libcpp/directives.c
> ../../gcc-5.5.0/libcpp/charset.c: In function ‘bool cpp_interpret_string(cpp_reader*, const cpp_string*, size_t, cpp_string*, cpp_ttype)’:
> ../../gcc-5.5.0/libcpp/charset.c:1453:18: error: ‘free’ was not declared in this scope
>    free (tbuf.text);
>                   ^
> ../../gcc-5.5.0/libcpp/charset.c: In function ‘cppchar_t cpp_interpret_charconst(cpp_reader*, const cpp_token*, unsigned int*, int*)’:
> ../../gcc-5.5.0/libcpp/charset.c:1633:27: error: ‘free’ was not declared in this scope
>      free ((void *)str.text);
>                            ^
> ../../gcc-5.5.0/libcpp/charset.c: In function ‘uchar* _cpp_convert_input(cpp_reader*, const char*, uchar*, size_t, size_t, const unsigned char**, off_t*)’:
> ../../gcc-5.5.0/libcpp/charset.c:1732:18: error: ‘free’ was not declared in this scope
>        free (input);
>                   ^
> In file included from /gnu/store/rn75fm7adgx3pw5j8pg3bczfqq1y17lk-gcc-7.5.0/include/c++/stdlib.h:36:0,
>                  from ../../gcc-5.5.0/libcpp/system.h:214,
>                  from ../../gcc-5.5.0/libcpp/directives.c:22:
> /gnu/store/6wn346cbw1mh6264v426pwj2klgvxr0z-gcc-5.5.0/include/c++/cstdlib:118:11: error: ‘::div_t’ has not been declared
>    using ::div_t;
>            ^
> /gnu/store/6wn346cbw1mh6264v426pwj2klgvxr0z-gcc-5.5.0/include/c++/cstdlib:119:11: error: ‘::ldiv_t’ has not been declared
>    using ::ldiv_t;
>            ^
> /gnu/store/6wn346cbw1mh6264v426pwj2klgvxr0z-gcc-5.5.0/include/c++/cstdlib:121:11: error: ‘::abort’ has not been declared
>    using ::abort;
>            ^
> /gnu/store/6wn346cbw1mh6264v426pwj2klgvxr0z-gcc-5.5.0/include/c++/cstdlib:122:11: error: ‘::abs’ has not been declared
>    using ::abs;
>            ^
> /gnu/store/6wn346cbw1mh6264v426pwj2klgvxr0z-gcc-5.5.0/include/c++/cstdlib:123:11: error: ‘::atexit’ has not been declared
>    using ::atexit;
>            ^
> /gnu/store/6wn346cbw1mh6264v426pwj2klgvxr0z-gcc-5.5.0/include/c++/cstdlib:129:11: error: ‘::atof’ has not been declared
>    using ::atof;
>            ^
> /gnu/store/6wn346cbw1mh6264v426pwj2klgvxr0z-gcc-5.5.0/include/c++/cstdlib:130:11: error: ‘::atoi’ has not been declared
>    using ::atoi;
>            ^
> /gnu/store/6wn346cbw1mh6264v426pwj2klgvxr0z-gcc-5.5.0/include/c++/cstdlib:131:11: error: ‘::atol’ has not been declared
>    using ::atol;
> …
> In file included from ../../gcc-5.5.0/libcpp/system.h:214:0,
>                  from ../../gcc-5.5.0/libcpp/directives.c:22:
> /gnu/store/rn75fm7adgx3pw5j8pg3bczfqq1y17lk-gcc-7.5.0/include/c++/stdlib.h:38:12: error: ‘std::abort’ has not been declared
>  using std::abort;
>             ^
> /gnu/store/rn75fm7adgx3pw5j8pg3bczfqq1y17lk-gcc-7.5.0/include/c++/stdlib.h:39:12: error: ‘std::atexit’ has not been declared
>  using std::atexit;
>             ^
> /gnu/store/rn75fm7adgx3pw5j8pg3bczfqq1y17lk-gcc-7.5.0/include/c++/stdlib.h:40:12: error: ‘std::exit’ has not been declared
>  using std::exit;
>             ^
> /gnu/store/rn75fm7adgx3pw5j8pg3bczfqq1y17lk-gcc-7.5.0/include/c++/stdlib.h:51:12: error: ‘std::div_t’ has not been declared
>  using std::div_t;
>             ^
> /gnu/store/rn75fm7adgx3pw5j8pg3bczfqq1y17lk-gcc-7.5.0/include/c++/stdlib.h:52:12: error: ‘std::ldiv_t’ has not been declared
>  using std::ldiv_t;
>             ^
> /gnu/store/rn75fm7adgx3pw5j8pg3bczfqq1y17lk-gcc-7.5.0/include/c++/stdlib.h:55:12: error: ‘std::atof’ has not been declared
>  using std::atof;
>             ^
> /gnu/store/rn75fm7adgx3pw5j8pg3bczfqq1y17lk-gcc-7.5.0/include/c++/stdlib.h:56:12: error: ‘std::atoi’ has not been declared
>  using std::atoi;
>             ^
> /gnu/store/rn75fm7adgx3pw5j8pg3bczfqq1y17lk-gcc-7.5.0/include/c++/stdlib.h:57:12: error: ‘std::atol’ has not been declared
>  using std::atol;
>             ^
> /gnu/store/rn75fm7adgx3pw5j8pg3bczfqq1y17lk-gcc-7.5.0/include/c++/stdlib.h:58:12: error: ‘std::bsearch’ has not been declared
>  using std::bsearch;
>             ^
> /gnu/store/rn75fm7adgx3pw5j8pg3bczfqq1y17lk-gcc-7.5.0/include/c++/stdlib.h:59:12: error: ‘std::calloc’ has not been declared
>  using std::calloc;
>             ^
> /gnu/store/rn75fm7adgx3pw5j8pg3bczfqq1y17lk-gcc-7.5.0/include/c++/stdlib.h:60:12: error: ‘std::div’ has not been declared
>  using std::div;
>             ^
> /gnu/store/rn75fm7adgx3pw5j8pg3bczfqq1y17lk-gcc-7.5.0/include/c++/stdlib.h:61:12: error: ‘std::free’ has not been declared
>  using std::free;
>             ^
> /gnu/store/rn75fm7adgx3pw5j8pg3bczfqq1y17lk-gcc-7.5.0/include/c++/stdlib.h:62:12: error: ‘std::getenv’ has not been declared
>  using std::getenv;
>             ^
> /gnu/store/rn75fm7adgx3pw5j8pg3bczfqq1y17lk-gcc-7.5.0/include/c++/stdlib.h:63:12: error: ‘std::labs’ has not been declared
>  using std::labs;
>             ^
> /gnu/store/rn75fm7adgx3pw5j8pg3bczfqq1y17lk-gcc-7.5.0/include/c++/stdlib.h:64:12: error: ‘std::ldiv’ has not been declared
>  using std::ldiv;
>             ^
> /gnu/store/rn75fm7adgx3pw5j8pg3bczfqq1y17lk-gcc-7.5.0/include/c++/stdlib.h:65:12: error: ‘std::malloc’ has not been declared
>  using std::malloc;
>             ^
> /gnu/store/rn75fm7adgx3pw5j8pg3bczfqq1y17lk-gcc-7.5.0/include/c++/stdlib.h:67:12: error: ‘std::mblen’ has not been declared
>  using std::mblen;
>             ^
> /gnu/store/rn75fm7adgx3pw5j8pg3bczfqq1y17lk-gcc-7.5.0/include/c++/stdlib.h:68:12: error: ‘std::mbstowcs’ has not been declared
>  using std::mbstowcs;
>             ^
> /gnu/store/rn75fm7adgx3pw5j8pg3bczfqq1y17lk-gcc-7.5.0/include/c++/stdlib.h:69:12: error: ‘std::mbtowc’ has not been declared
>  using std::mbtowc;
>             ^
> /gnu/store/rn75fm7adgx3pw5j8pg3bczfqq1y17lk-gcc-7.5.0/include/c++/stdlib.h:71:12: error: ‘std::qsort’ has not been declared
>  using std::qsort;
>             ^
> /gnu/store/rn75fm7adgx3pw5j8pg3bczfqq1y17lk-gcc-7.5.0/include/c++/stdlib.h:72:12: error: ‘std::rand’ has not been declared
>  using std::rand;
>             ^
> /gnu/store/rn75fm7adgx3pw5j8pg3bczfqq1y17lk-gcc-7.5.0/include/c++/stdlib.h:73:12: error: ‘std::realloc’ has not been declared
>  using std::realloc;
>             ^
> /gnu/store/rn75fm7adgx3pw5j8pg3bczfqq1y17lk-gcc-7.5.0/include/c++/stdlib.h:74:12: error: ‘std::srand’ has not been declared
>  using std::srand;
>             ^
> /gnu/store/rn75fm7adgx3pw5j8pg3bczfqq1y17lk-gcc-7.5.0/include/c++/stdlib.h:75:12: error: ‘std::strtod’ has not been declared
>  using std::strtod;
>             ^
> /gnu/store/rn75fm7adgx3pw5j8pg3bczfqq1y17lk-gcc-7.5.0/include/c++/stdlib.h:76:12: error: ‘std::strtol’ has not been declared
>  using std::strtol;
>             ^
> /gnu/store/rn75fm7adgx3pw5j8pg3bczfqq1y17lk-gcc-7.5.0/include/c++/stdlib.h:77:12: error: ‘std::strtoul’ has not been declared
>  using std::strtoul;
>             ^
> /gnu/store/rn75fm7adgx3pw5j8pg3bczfqq1y17lk-gcc-7.5.0/include/c++/stdlib.h:78:12: error: ‘std::system’ has not been declared
>  using std::system;
>             ^
> /gnu/store/rn75fm7adgx3pw5j8pg3bczfqq1y17lk-gcc-7.5.0/include/c++/stdlib.h:80:12: error: ‘std::wcstombs’ has not been declared
>  using std::wcstombs;
>             ^
> /gnu/store/rn75fm7adgx3pw5j8pg3bczfqq1y17lk-gcc-7.5.0/include/c++/stdlib.h:81:12: error: ‘std::wctomb’ has not been declared
>  using std::wctomb;
>             ^
> make[2]: *** [Makefile:224: charset.o] Error 1
> make[2]: *** Waiting for unfinished jobs....
> --8<---------------cut here---------------end--------------->8---

Fixed in 7f6d3f395023ff430cf8b7a981d4780698e9d132, thanks!

Subject: gcc-cross-sans-libc-arm-none-eabi-4.9.4-1.227977 fails to build
From: Ricardo Wurmus <[email-masked]>
To: [email-masked]
Date: Tue, 12 May 2020 16:20:05 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

gcc-cross-sans-libc-arm-none-eabi-4.9.4-1.227977 (an input to
axoloti-patcher) fails to build.

Just like with issue #41209 the headers for both GCC 5 and 7 are
included.

--8<---------------cut here---------------start------------->8---
…
make[2]: Leaving directory '/tmp/guix-build-avr-gcc-5.5.0.drv-0/build/fixincludes'
g++  -I../../gcc-5.5.0/libcpp -I. -I../../gcc-5.5.0/libcpp/../include -I../../gcc-5.5.0/libcpp/include  -g -O2 -W -Wall -Wno-narrowing -Wwrite-strings -Wmissing-format-attribute -pedantic -Wno-long-long  -fno-exceptions -fno-rtti -I../../gcc-5.5.0/libcpp -I. -I../../gcc-5.5.0/libcpp/../include -I../../gcc-5.5.0/libcpp/include   -c -o directives.o -MT directives.o -MMD -MP -MF .deps/directives.Tpo ../../gcc-5.5.0/libcpp/directives.c
../../gcc-5.5.0/libcpp/charset.c: In function ‘bool cpp_interpret_string(cpp_reader*, const cpp_string*, size_t, cpp_string*, cpp_ttype)’:
../../gcc-5.5.0/libcpp/charset.c:1453:18: error: ‘free’ was not declared in this scope
   free (tbuf.text);
                  ^
../../gcc-5.5.0/libcpp/charset.c: In function ‘cppchar_t cpp_interpret_charconst(cpp_reader*, const cpp_token*, unsigned int*, int*)’:
../../gcc-5.5.0/libcpp/charset.c:1633:27: error: ‘free’ was not declared in this scope
     free ((void *)str.text);
                           ^
../../gcc-5.5.0/libcpp/charset.c: In function ‘uchar* _cpp_convert_input(cpp_reader*, const char*, uchar*, size_t, size_t, const unsigned char**, off_t*)’:
../../gcc-5.5.0/libcpp/charset.c:1732:18: error: ‘free’ was not declared in this scope
       free (input);
                  ^
In file included from /gnu/store/rn75fm7adgx3pw5j8pg3bczfqq1y17lk-gcc-7.5.0/include/c++/stdlib.h:36:0,
                 from ../../gcc-5.5.0/libcpp/system.h:214,
                 from ../../gcc-5.5.0/libcpp/directives.c:22:
/gnu/store/6wn346cbw1mh6264v426pwj2klgvxr0z-gcc-5.5.0/include/c++/cstdlib:118:11: error: ‘::div_t’ has not been declared
   using ::div_t;
           ^
/gnu/store/6wn346cbw1mh6264v426pwj2klgvxr0z-gcc-5.5.0/include/c++/cstdlib:119:11: error: ‘::ldiv_t’ has not been declared
   using ::ldiv_t;
           ^
/gnu/store/6wn346cbw1mh6264v426pwj2klgvxr0z-gcc-5.5.0/include/c++/cstdlib:121:11: error: ‘::abort’ has not been declared
   using ::abort;
           ^
/gnu/store/6wn346cbw1mh6264v426pwj2klgvxr0z-gcc-5.5.0/include/c++/cstdlib:122:11: error: ‘::abs’ has not been declared
   using ::abs;
           ^
/gnu/store/6wn346cbw1mh6264v426pwj2klgvxr0z-gcc-5.5.0/include/c++/cstdlib:123:11: error: ‘::atexit’ has not been declared
   using ::atexit;
           ^
/gnu/store/6wn346cbw1mh6264v426pwj2klgvxr0z-gcc-5.5.0/include/c++/cstdlib:129:11: error: ‘::atof’ has not been declared
   using ::atof;
           ^
/gnu/store/6wn346cbw1mh6264v426pwj2klgvxr0z-gcc-5.5.0/include/c++/cstdlib:130:11: error: ‘::atoi’ has not been declared
   using ::atoi;
           ^
/gnu/store/6wn346cbw1mh6264v426pwj2klgvxr0z-gcc-5.5.0/include/c++/cstdlib:131:11: error: ‘::atol’ has not been declared
   using ::atol;
…
In file included from ../../gcc-5.5.0/libcpp/system.h:214:0,
                 from ../../gcc-5.5.0/libcpp/directives.c:22:
/gnu/store/rn75fm7adgx3pw5j8pg3bczfqq1y17lk-gcc-7.5.0/include/c++/stdlib.h:38:12: error: ‘std::abort’ has not been declared
 using std::abort;
            ^
/gnu/store/rn75fm7adgx3pw5j8pg3bczfqq1y17lk-gcc-7.5.0/include/c++/stdlib.h:39:12: error: ‘std::atexit’ has not been declared
 using std::atexit;
            ^
/gnu/store/rn75fm7adgx3pw5j8pg3bczfqq1y17lk-gcc-7.5.0/include/c++/stdlib.h:40:12: error: ‘std::exit’ has not been declared
 using std::exit;
            ^
/gnu/store/rn75fm7adgx3pw5j8pg3bczfqq1y17lk-gcc-7.5.0/include/c++/stdlib.h:51:12: error: ‘std::div_t’ has not been declared
 using std::div_t;
            ^
/gnu/store/rn75fm7adgx3pw5j8pg3bczfqq1y17lk-gcc-7.5.0/include/c++/stdlib.h:52:12: error: ‘std::ldiv_t’ has not been declared
 using std::ldiv_t;
            ^
/gnu/store/rn75fm7adgx3pw5j8pg3bczfqq1y17lk-gcc-7.5.0/include/c++/stdlib.h:55:12: error: ‘std::atof’ has not been declared
 using std::atof;
            ^
/gnu/store/rn75fm7adgx3pw5j8pg3bczfqq1y17lk-gcc-7.5.0/include/c++/stdlib.h:56:12: error: ‘std::atoi’ has not been declared
 using std::atoi;
            ^
/gnu/store/rn75fm7adgx3pw5j8pg3bczfqq1y17lk-gcc-7.5.0/include/c++/stdlib.h:57:12: error: ‘std::atol’ has not been declared
 using std::atol;
            ^
/gnu/store/rn75fm7adgx3pw5j8pg3bczfqq1y17lk-gcc-7.5.0/include/c++/stdlib.h:58:12: error: ‘std::bsearch’ has not been declared
 using std::bsearch;
            ^
/gnu/store/rn75fm7adgx3pw5j8pg3bczfqq1y17lk-gcc-7.5.0/include/c++/stdlib.h:59:12: error: ‘std::calloc’ has not been declared
 using std::calloc;
            ^
/gnu/store/rn75fm7adgx3pw5j8pg3bczfqq1y17lk-gcc-7.5.0/include/c++/stdlib.h:60:12: error: ‘std::div’ has not been declared
 using std::div;
            ^
/gnu/store/rn75fm7adgx3pw5j8pg3bczfqq1y17lk-gcc-7.5.0/include/c++/stdlib.h:61:12: error: ‘std::free’ has not been declared
 using std::free;
            ^
/gnu/store/rn75fm7adgx3pw5j8pg3bczfqq1y17lk-gcc-7.5.0/include/c++/stdlib.h:62:12: error: ‘std::getenv’ has not been declared
 using std::getenv;
            ^
/gnu/store/rn75fm7adgx3pw5j8pg3bczfqq1y17lk-gcc-7.5.0/include/c++/stdlib.h:63:12: error: ‘std::labs’ has not been declared
 using std::labs;
            ^
/gnu/store/rn75fm7adgx3pw5j8pg3bczfqq1y17lk-gcc-7.5.0/include/c++/stdlib.h:64:12: error: ‘std::ldiv’ has not been declared
 using std::ldiv;
            ^
/gnu/store/rn75fm7adgx3pw5j8pg3bczfqq1y17lk-gcc-7.5.0/include/c++/stdlib.h:65:12: error: ‘std::malloc’ has not been declared
 using std::malloc;
            ^
/gnu/store/rn75fm7adgx3pw5j8pg3bczfqq1y17lk-gcc-7.5.0/include/c++/stdlib.h:67:12: error: ‘std::mblen’ has not been declared
 using std::mblen;
            ^
/gnu/store/rn75fm7adgx3pw5j8pg3bczfqq1y17lk-gcc-7.5.0/include/c++/stdlib.h:68:12: error: ‘std::mbstowcs’ has not been declared
 using std::mbstowcs;
            ^
/gnu/store/rn75fm7adgx3pw5j8pg3bczfqq1y17lk-gcc-7.5.0/include/c++/stdlib.h:69:12: error: ‘std::mbtowc’ has not been declared
 using std::mbtowc;
            ^
/gnu/store/rn75fm7adgx3pw5j8pg3bczfqq1y17lk-gcc-7.5.0/include/c++/stdlib.h:71:12: error: ‘std::qsort’ has not been declared
 using std::qsort;
            ^
/gnu/store/rn75fm7adgx3pw5j8pg3bczfqq1y17lk-gcc-7.5.0/include/c++/stdlib.h:72:12: error: ‘std::rand’ has not been declared
 using std::rand;
            ^
/gnu/store/rn75fm7adgx3pw5j8pg3bczfqq1y17lk-gcc-7.5.0/include/c++/stdlib.h:73:12: error: ‘std::realloc’ has not been declared
 using std::realloc;
            ^
/gnu/store/rn75fm7adgx3pw5j8pg3bczfqq1y17lk-gcc-7.5.0/include/c++/stdlib.h:74:12: error: ‘std::srand’ has not been declared
 using std::srand;
            ^
/gnu/store/rn75fm7adgx3pw5j8pg3bczfqq1y17lk-gcc-7.5.0/include/c++/stdlib.h:75:12: error: ‘std::strtod’ has not been declared
 using std::strtod;
            ^
/gnu/store/rn75fm7adgx3pw5j8pg3bczfqq1y17lk-gcc-7.5.0/include/c++/stdlib.h:76:12: error: ‘std::strtol’ has not been declared
 using std::strtol;
            ^
/gnu/store/rn75fm7adgx3pw5j8pg3bczfqq1y17lk-gcc-7.5.0/include/c++/stdlib.h:77:12: error: ‘std::strtoul’ has not been declared
 using std::strtoul;
            ^
/gnu/store/rn75fm7adgx3pw5j8pg3bczfqq1y17lk-gcc-7.5.0/include/c++/stdlib.h:78:12: error: ‘std::system’ has not been declared
 using std::system;
            ^
/gnu/store/rn75fm7adgx3pw5j8pg3bczfqq1y17lk-gcc-7.5.0/include/c++/stdlib.h:80:12: error: ‘std::wcstombs’ has not been declared
 using std::wcstombs;
            ^
/gnu/store/rn75fm7adgx3pw5j8pg3bczfqq1y17lk-gcc-7.5.0/include/c++/stdlib.h:81:12: error: ‘std::wctomb’ has not been declared
 using std::wctomb;
            ^
make[2]: *** [Makefile:224: charset.o] Error 1
make[2]: *** Waiting for unfinished jobs....
--8<---------------cut here---------------end--------------->8---
           ^

--
Ricardo